#pragma once
#include <map>
struct Fish_SquamaDragonArrowCFGData
{
	//ID
	int mID;
	//消耗金币
	int mConsume;
	//获得魔石区间
	std::vector<int> mRewardList;
	//魔石积分加成（使用诛龙箭获得魔石积分加成百分比）
	int mIntegralAddition;
};

class Fish_SquamaDragonArrowCFG
{
public:
private:
	static std::auto_ptr<Fish_SquamaDragonArrowCFG> msSingleton;
public:
	int GetCount();
	const Fish_SquamaDragonArrowCFGData* GetData(int ID);
	const std::map<int, Fish_SquamaDragonArrowCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SquamaDragonArrowCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SquamaDragonArrowCFGData> mMapData;
};
